Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping
Class LPAS_DG_MS_ThreadRB

    java.lang.Object
      mapping.LPAS_DG_MS_ThreadRB

All Implemented Interfaces:
  java.lang.Runnable

    public class LPAS_DG_MS_ThreadRB

extends java.lang.Object
implements java.lang.Runnable

This Thread is a helper thread for the LPAS_DG_MS objects. It is a thread that iterates over the AvailableServers Queue and asks the LPAS_DG_MS object to map a job for the server in the head of that queue. If the jobs queue has no jobs that the current available server can execute, the next server in line is considered.

Author:
  Majd Kokaly

Constructor Summary
`LPAS_DG_MS_ThreadRB(LPAS_DG_MS lpas_dg_ms)` Defualt constructor

Method Summary
`LPAS_DG_MS` | `getLpas_dg_ms()`
`boolean` | `isAlive()`
`void` | `run()` This loop is iterate over the available queue and asks the LPAS_DG_MS to find a job for that server.
`void` | `setAlive(boolean alive)`
`void` | `setLpas_dg_ms(LPAS_DG_MS lpas_dg_ms)`
`void` | `startThread()` This method starts the thread.
`void` | `stopThread()` This method stops the thread.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LPAS_DG_MS_ThreadRB

    public LPAS_DG_MS_ThreadRB(LPAS_DG_MS lpas_dg_ms)

  Defualt constructor

  Parameters:
    `lpas_dg_ms` - To set the lpas_dg_ms data member.

Method Detail

### isAlive

    public boolean isAlive()

### setAlive

    public void setAlive(boolean alive)

### getLpas_dg_ms

    public LPAS_DG_MS getLpas_dg_ms()

### setLpas_dg_ms

    public void setLpas_dg_ms(LPAS_DG_MS lpas_dg_ms)

### startThread

    public void startThread()

  This method starts the thread.

### stopThread

    public void stopThread()

  This method stops the thread.

### run

    public void run()

  This loop is iterate over the available queue and asks the LPAS_DG_MS to find a job for that server. If the jobs queue has no jobs that the current available server can execute, the next server in line is considered.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD